# Class Jdt

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.Jdt

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class Jdt extends org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Represents the Eclipse JDT settings.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jdt(org.gradle.api.internal.PropertiesTransformer transformer)`
  Deprecated.
  Creates a new `Jdt`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `protected void`
  `load(Properties properties)`
  Deprecated.
  `void`
  `setSourceCompatibility(JavaVersion sourceCompatibility)`
  Deprecated.
  Sets the source compatibility for the compiler.
  `void`
  `setTargetCompatibility(JavaVersion targetCompatibility)`
  Deprecated.
  Sets the target compatibility for the compiler.
  `protected void`
  `store(Properties properties)`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject

  `load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jdt

    public Jdt(org.gradle.api.internal.PropertiesTransformer transformer)
    Deprecated.
    Creates a new `Jdt`.
    Since:
      1.0

- ## Method Details

  - ### setSourceCompatibility

    public void setSourceCompatibility(JavaVersion sourceCompatibility)
    Deprecated.
    Sets the source compatibility for the compiler.
    Since:
      1.0

  - ### setTargetCompatibility

    public void setTargetCompatibility(JavaVersion targetCompatibility)
    Deprecated.
    Sets the target compatibility for the compiler.
    Since:
      1.0

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### load

    protected void load(Properties properties)
    Deprecated.
    Specified by:
      `load` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`

  - ### store

    protected void store(Properties properties)
    Deprecated.
    Specified by:
      `store` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`